LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-24-2002, 02:32 PM   #1
BrokenArrow
LQ Newbie
 
Registered: Sep 2002
Posts: 2

Rep: Reputation: 0
Question problems installing Nessus ???


Hi....

i have a littel proplem here and i hope you can help me with it. i know that this could look like a lame quesion, but i am realy new in this. i only need some one to point me to the right direction, and i will take it from there........


i have RedHat 7.2 with 2.4.5 kernel, i tryed to install and run "nessus security scanner" on www.nessus.org.

i got the last version of it, 1.2.5 , as a shell script ".sh" file. in the installation instructions, all i had to do is to type this command "sh nessus-installer.sh", so i did, and this is what i got:-
[root@localhost nessus]# sh nessus-installer.sh
The command 'gtk-config' was not found in your $PATH.
The nessus client will be built without its GUI...

Press ENTER to continue...
--------------------------------------------------------------------------------
NESSUS INSTALLATION SCRIPT
--------------------------------------------------------------------------------


Welcome to the Nessus Installation Script !

This script will install Nessus 1.2.5 (STABLE) on your system.

Please note that you will need root privileges at some point so that
the installation can complete.

Nessus is released under the version 2 of the GNU General Public License
(see http://www.gnu.org/licences/gpl.html for details).

To get the latest version of Nessus, visit http://www.nessus.org


Press ENTER to continue
x - creating lock directory
x - extracting nessus.tar.gz (binary)
nessus-installer.sh: uudecode: command not found
restore of nessus.tar.gz failed
nessus.tar.gz: MD5 check failed
x - now extracting this archive
nessus-installer.sh: nessus.tar.gz: No such file or directory
tar: nessus.tar: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
rm: cannot remove `nessus.tar': No such file or directory
rm: cannot remove `nessus.tar.gz': No such file or directory
*** Something went wrong - we could not uncompress the archives
*** properly
[root@localhost nessus]#
******************************************************
******************************************************

i dont know what are the tarball that it is looking for, i mean they say in the site "Nessus also comes as a standalone package which auto-installs itself". so, you see, i am kinda lost here!
================================================
i thought i would try something else, older versions dont have this shell script auto install thing. it only has four tarballs that i have to install in a specific order.

nessus-libraries-1.2.3.tar.gz
libnasl-1.2.3.tar.gz
nessus-core.1.2.3.tar.gz
nessus-plugins.1.2.3.tar.gz

it is only a normal configure --- make --- make install process

and that is what i did, the 1st one went fine, but i got realy lost in the second, i got this when i did the make:-

[root@localhost libnasl]# make
cd nasl && make
make[1]: Entering directory `/root/nessus/libnasl/nasl'
/bin/sh /root/nessus/libnasl/libtool --silent gcc -pipe `sh ./cflags` -c send_packet.c
send_packet.c:22:18: pcap.h: No such file or directory
In file included from send_packet.c:24:
pkt_pcap.h:4: parse error before `*'
pkt_pcap.h:4: warning: data definition has no type or storage class
pkt_pcap.h:5: parse error before `*'
pkt_pcap.h:5: warning: data definition has no type or storage class
pkt_pcap.h:6: parse error before `pcap_t'
send_packet.c: In function `send_packet':
send_packet.c:57: `pcap_t' undeclared (first use in this function)
send_packet.c:57: (Each undeclared identifier is reported only once
send_packet.c:57: for each function it appears in.)
send_packet.c:57: `pcap' undeclared (first use in this function)
send_packet.c:57: invalid lvalue in assignment
send_packet.c:58: parse error before `struct'
send_packet.c:67: `ar' undeclared (first use in this function)
send_packet.c:68: `ip' undeclared (first use in this function)
send_packet.c:69: `sip' undeclared (first use in this function)
send_packet.c:77: `sockaddr' undeclared (first use in this function)
make[1]: *** [send_packet.o] Error 1
make[1]: Leaving directory `/root/nessus/libnasl/nasl'
make: *** [all] Error 2
[root@localhost libnasl]#
***************************************************************

and i realy dont have a clue what is worng!!! i read the installation guid, i read the faq and checked out the prog mailing list. and i got nothing. i dont know what is wrong, i dont know what i did worng or what i didnt do. maybe i missed something or misunderstod something. i realy dont know........

if any one can help, please do , and thanks in advance

Last edited by BrokenArrow; 09-24-2002 at 02:44 PM.
 
Old 09-26-2002, 06:14 AM   #2
BrokenArrow
LQ Newbie
 
Registered: Sep 2002
Posts: 2

Original Poster
Rep: Reputation: 0
no one has a clue about it???!!!
 
Old 09-26-2002, 07:51 AM   #3
unSpawn
Moderator
 
Registered: May 2001
Posts: 29,332
Blog Entries: 55

Rep: Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533Reputation: 3533
Yeah, sure, but you gotta be patient, we ain't gettin payed to do this ya know...
You need some dependancies like the libpcap library, and the Gimp Tool Kit (GTK). Last one only uf you want the GUI.
 
Old 11-14-2002, 02:55 PM   #4
oyeindia
LQ Newbie
 
Registered: Nov 2002
Posts: 1

Rep: Reputation: 0
Need uudecode

You need a file called uudecode, which obviously hasn't been installed in your system. This is because the shell script installed contains the binaries for the various modules encoded within it.

Search the net for uudecode, or grep for the rpm...
 
Old 11-15-2002, 09:30 AM   #5
cottonmouth
Member
 
Registered: May 2002
Location: under the fig tree
Distribution: Redhat 8.0, Mandrake 9.0
Posts: 87

Rep: Reputation: 15
I had the same problem, you need to install the Gimp Tool Kit.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems with Nessus Kursh Linux - Security 1 08-28-2005 01:08 PM
Nessus install script not finding nessus.tar.gz darin3200 Linux - Software 1 08-15-2005 06:35 PM
gtk not found while installing nessus johninar Red Hat 4 05-15-2005 08:18 PM
problems with nessus einstien Linux - Software 6 03-19-2005 10:34 PM
Help installing Nessus on Mandrake 10 foamrotreturns Linux - Software 4 12-08-2004 12:16 PM


All times are GMT -5. The time now is 04:21 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration